#### D.6.19.6 HilbertClassPoly

Procedure from library `realclassify.lib` (see realclassify_lib).

Return:
  the monic polynomial of degree h(D) in Z[X] of which jOft((D+sqr(D))/2) is a root

Assume:
  D is a negative discriminant

Note:
  k is input for the procedure "jOft",
  5*k is input for the procedure "sqr",
  10*k describes the number of decimals being calculated in the complex numbers

Example:

    LIB "realclassify.lib";
    ring r = 0,x,dp;
    bigint D=-23;
    HilbertClassPoly(D,50);
    ==> x3+3491750x2-5151296875x+12771880859375

User manual for Singular version 4.4.1, 2025, generated by texi2html.